Package org.jfree.layouting.renderer.model

## Class BoxLayoutProperties

- java.lang.Object
- - org.jfree.layouting.renderer.model.BoxLayoutProperties

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class BoxLayoutProperties
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  A static properties collection. That one is static; once computed it does not change anymore. It does not (under no thinkable circumstances) depend on the given content. It may depend on static content of the parent. A box typically has two sets of margins. The first set is the declared margin set - it simply expresses the user's definitions. The second set is the effective margin set, it is based on the context of the element in the document tree and denotes the distance between the nodes edge and any oposite edge.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoxLayoutProperties​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `long` | `getEffectiveMarginBottom​()` |
    `long` | `getEffectiveMarginTop​()` |
    `long` | `getMarginCloseState​()` |
    `long` | `getMarginOpenState​()` |
    `long` | `getMarginState​()` |
    `boolean` | `isInfiniteMarginBottom​()` |
    `boolean` | `isInfiniteMarginTop​()` |
    `void` | `setEffectiveMarginBottom​(long effectiveMarginBottom)` |
    `void` | `setEffectiveMarginTop​(long effectiveMarginTop)` |
    `void` | `setInfiniteMarginBottom​(boolean infiniteMarginBottom)` |
    `void` | `setInfiniteMarginTop​(boolean infiniteMarginTop)` |
    `void` | `setMarginCloseState​(long marginCloseState)` |
    `void` | `setMarginOpenState​(long marginOpenState)` |
    `void` | `setMarginState​(long marginState)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BoxLayoutProperties

          public BoxLayoutProperties​()

  - ### Method Detail

    - #### getEffectiveMarginTop

          public long getEffectiveMarginTop​()

    - #### setEffectiveMarginTop

          public void setEffectiveMarginTop​(long effectiveMarginTop)

    - #### getEffectiveMarginBottom

          public long getEffectiveMarginBottom​()

    - #### setEffectiveMarginBottom

          public void setEffectiveMarginBottom​(long effectiveMarginBottom)

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getMarginState

          public long getMarginState​()

    - #### setMarginState

          public void setMarginState​(long marginState)

    - #### getMarginOpenState

          public long getMarginOpenState​()

    - #### setMarginOpenState

          public void setMarginOpenState​(long marginOpenState)

    - #### getMarginCloseState

          public long getMarginCloseState​()

    - #### setMarginCloseState

          public void setMarginCloseState​(long marginCloseState)

    - #### isInfiniteMarginTop

          public boolean isInfiniteMarginTop​()

    - #### setInfiniteMarginTop

          public void setInfiniteMarginTop​(boolean infiniteMarginTop)

    - #### isInfiniteMarginBottom

          public boolean isInfiniteMarginBottom​()

    - #### setInfiniteMarginBottom

          public void setInfiniteMarginBottom​(boolean infiniteMarginBottom)

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`